//----------------------------------------------------------------------------------------------------------------------
// Routes for Roles
//----------------------------------------------------------------------------------------------------------------------

import express from 'express';

import { errorHandler, wrapAsync } from './utils/index.js';

// Managers
import * as rolesMan from '../managers/roles.js';

//----------------------------------------------------------------------------------------------------------------------

const router = express.Router();

//----------------------------------------------------------------------------------------------------------------------

router.get('/', wrapAsync(async(_req, resp) =>
{
    resp.json(await rolesMan.list());
}));

//----------------------------------------------------------------------------------------------------------------------
// Error Handling
//----------------------------------------------------------------------------------------------------------------------

router.use(errorHandler());

//----------------------------------------------------------------------------------------------------------------------

export default router;

//----------------------------------------------------------------------------------------------------------------------
